Update archive

Updates the storage type or expiration date of the specified archive.

An archive is a copy of a database that is stored in the Intelligent Risk Platform Data Vault. Data Vault is a separately licensed application that enables Intelligent Risk Platform tenants to manage archives of data servers and databases.

Every archive is defined by its storageTypeId, which determines whether the archive is temporary (0) or permanent (1). Temporary archives are defined by an expiryDate that specifies the date that the archive is deleted from Data Vault.

🍐

Entitlements

This operation requires the RI-DATAVAULT entitlement. Data Vault is a separately licensed application that enables Intelligent Risk Platform tenants to manage archives of data servers and databases.

🍐

Role-based Permissions

To perform this operation, a principal must belong to a group that has been assigned the appropriate role-based permissions. The table identifies the roles with permission to perform this operation.

ConsumerContributorData Bridge Admin
NONOYES

To learn more about role-based permissions in Data Bridge, see Access Controls.

Path Params
string
required

Name of managed SQL Server instance.

string
required

Name of database.

string
required

ID of archive.

Body Params
string
enum

Type of archive. One of permanent, temporary.

If storage type is temporary, archive is deleted on expirationDate.

Allowed:
string

Timestamp in 8601 format, i.e. YYYY-MM-DDThh:mm:ss.sss that indicates when archive will be deleted if storage type is temporary.

Headers
uuid
required
Defaults to xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx

ID of resource group. To learn more, see Resource Groups

Responses
200

OK. All went well.

400

Bad Request. Some of the provided parameters were not valid.

403

Forbidden. You do not have permission to access that resource.

404

Not found. The entity you are trying to interact with does not
exist.

500

Internal Server Error. If the problem persists you may want to
contact the Administrator.

Language
URL